import passport from 'passport';
import '../config_passport';
import jwt from 'jsonwebtoken';

// JSON web token secret key
const SECRET_KEY = "boom shakalaka";

// Returns a promise wherein we try to authenticate the user
// against the LDAP using passportjs
// The promise will fail if no user is returned in the passport.authenticate
// callback.
function loginResolverFunc({ username, password, req }) {
    return new Promise((resolve, reject) => {
        passport.authenticate('ldapauth', (err, user, info) => {
            if (err) { reject(err); }
            if (!user) { reject('Invalid credentials.'); }

            // Sign a new JSON web token with the user's uid against the secret key
            const token = jwt.sign({ uid: user.uid }, SECRET_KEY);
            resolve(token);
        })({ body: { username, password } });
    });
}

export default loginResolverFunc;