/**
 * @file Ce fichier génère le schéma GraphQL. C'est ici que les requêtes GraphQl sont résolues.
 * @author akka vodol
*/

import { makeExecutableSchema } from 'graphql-tools';
import actionDefs from './typeDefs/actions.graphql';
import objectDefs from './typeDefs/objects.graphql';
import { resolvers } from './resolvers';

const typeDefs = actionDefs.concat(objectDefs);

const schema = makeExecutableSchema({
    typeDefs,
    resolvers,
    logger: {log: e => console.log(e)},
    inheritResolversFromInterfaces: true
});

export default schema;